Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604136 - gscan2pdf produces malformed pages at random
gscan2pdf produces malformed pages at random
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gscan2pdf (Show other bugs)
15
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 09:42 EDT by Boricua
Modified: 2012-08-07 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 846612 (view as bug list)
Environment:
Last Closed: 2012-08-07 16:11:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
One page of a legal-size document written in Spanish showing the malformation at the bottom (103.15 KB, application/pdf)
2010-06-15 09:42 EDT, Boricua
no flags Details

  None (edit)
Description Boricua 2010-06-15 09:42:19 EDT
Created attachment 424158 [details]
One page of a legal-size document written in Spanish showing the malformation at the bottom

Description of problem: I'm not sure if "malformed" is the correct term but seems the most descriptive to me.  Once in a while and while performing multiple-pages scanning, one or more of the scanned pages appear malformed, with the text displaced from one line to the next. I'll be attaching an example to better explain it.  This issue happens at random and for no apparent reason.  Sometimes it appears to affect two consecutive pages and then again once dozens of pages later.  The severity of the problem also changes.  The error does not show off in the preview pane of gscan2pdf but in the final job once you open it with evince of any other .pdf reader. If you scan again the compromised pages alone, the issue disappears.


Version-Release number of selected component (if applicable): 0.9.30


How reproducible:  By scanning multiple pages and saving the document.


Steps to Reproduce:
1. Scan multiple pages.
2. Save the document scanned.
3. Open the document in a .pdf reader.
  
Actual results: Sometimes some one or more pages appear malformed.


Expected results: An accurately scanned document.


Additional info: The attachment provides a far better explanation.
Comment 1 Bug Zapper 2011-06-02 06:46:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Boricua 2011-06-02 08:58:52 EDT
I am changing the version to Fedora 15 since the bug is still present (as it was in Fedora 14).  I can add the problem seems to be related to the scanning phase and not document saving, since I always resolve the issue by re-scanning the defective pages and substituting the defective ones. Then I re-save the document with the same name and usually (but not always) is fixed.
Comment 3 Bernard Johnson 2012-03-18 22:43:44 EDT
What is you setting for frontend in preferences?  Does this occur with other frontends?
Comment 4 Boricua 2012-03-19 04:46:45 EDT
The frontend is libsane-perl, which I guess is the default since I don't recall ever changing it.  Should I try with every other listed?  By the way, I'm having the same issue now on Fedora 16.
Comment 5 Bernard Johnson 2012-03-20 00:13:09 EDT
Yes, please try to reproduce with the other frontends and report back which ones you encounter the same problem with.
Comment 6 Boricua 2012-03-20 10:55:59 EDT
I can report the same issue while using scanimage frontend.  I will now switch to scanimage-perl.
Comment 7 Boricua 2012-04-09 09:58:04 EDT
Hi, I can now tell the problem takes place with each and every frontend. I am now using Fedora 17, by the way.
Comment 8 Fedora End Of Life 2012-08-07 16:11:05 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.